package com.dxhy.core.job.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 接口日志表
 *
 * @author panyan
 */
@SuppressWarnings("AlibabaClassNamingShouldBeCamel")
@TableName("t_dx_dk_count")
@Data
public class TDxDkCount implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long id;

    /**
     * 税号
     */
    private String taxno;
    /**
     * 纳税人名称
     */
    private String taxname;
    /**
     * 税款所属期
     */
    private String skssq;
    /**
     * 申请状态
     */
    private String applyStatus;
    /**
     * 申请结果
     */
    private String applyMsg;
    /**
     * 是否签名 ？
     */
    private String signStatus;
    /**
     * 统计状态
     */
    private String tjStatus;
    /**
     * 确认状态
     */
    private String qsStatus;
    /**
     * 是否当前税款所属期
     */
    private String sfdqskssq;
    /**
     * 申请统计类型
     */
    private String applyType;
    /**
     * 统计时间
     */
    private String tjDate;

    private String createDate;

    private String company;

    private String cxtjStatus;

    private String cxqsStatus;
    /**
     * 统计人
     */
    private String tjUser;
    /**
     * 确认人
     */
    private String qrUser;
    /**
     * 确认时间
     */
    private Date qrDate;
    /**
     * 撤销统计人
     */
    private String cxtjUser;
    /**
     * 撤销确认人
     */
    private String cxqrUser;
    /**
     * 撤销统计时间
     */
    private Date cxtjDate;
    /**
     * 撤销确认时间
     */
    private Date cxqrDate;

}
