package com.dxhy.erp.entity.sdny;

import lombok.Data;

import java.util.List;

@Data
public class SNSAPObject {

    /**
     * 外围系统标识
     */
    private String SYSID;

    /**
     * 接口业务ID
     */
    private String IFYWID;

    /**
     * 外围系统数据唯一标识
     */
    private String BSKEY;

    /**
     * SAP数据唯一标识
     */
    private String SAPKEY;

    /**
     * 组织机构代码
     */
    private String ZORG;

    /**
     * SAP模块编码（OA用）
     */
    private String ZFILED1;

    /**
     * 预留字段
     */
    private String ZFILED2;

    /**
     * 预留字段
     */
    private String ZFILED3;

    /**
     * 预留字段
     */
    private String ZFILED4;

    /**
     * SAP Client
     */
    private String ZFILED5;


    /**
     * 外围系统标识
     */
    private List<SAPInvoiceInfo> ZDATA;

}
